package com.persagy.dmp.auth.domain;

import lombok.Data;
/**
 * boss-auth应用的数据权限实体类
 * @author : lijie
 * Update By 2022/1/11 14:10
 */
@Data
public class BossAuthPermission {
    /**权限id*/
    private String id;
    /**权限编码*/
    private String code;
    /**权限名称*/
    private String name;
    /**权限描述*/
    private String describes;
    /**权限上级id*/
    private String parId;
    /**
     * 是否分配
     * @see com.persagy.dmp.auth.constant.BossAssignedEnum#index
     * */
    private String assigned;
}
