package com.persagy.dmp.auth.domain;

import lombok.Data;

import java.util.List;

/**
 * boss-auth应用个人信息实体类
 * @author : lijie
 * Update By 2022/1/11 11:58
 */
@Data
public class BossAuthUser {
    /**人员id*/
    private String id;
    /**账号名称*/
    private String account;
    /**人员名称*/
    private String name;
    /**部门id*/
    private String deptId;
    /**邮箱地址*/
    private String email;
    /**手机号*/
    private String phone;
    /**菜单权限*/
    private List<BossAuthMenu> menus;
    /**数据权限*/
    private List<BossAuthPermission> permissions;
    /**项目权限*/
    private List<Project> projects;
}
