package com.persagy.dmp.auth.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
/**
 * 项目的实体类
 * @author : lijie
 * Update By 2022/1/11 14:19
 */
@Data
public class Project {
    /**项目id*/
    @JSONField(alternateNames = {"ProjectId","projectId"})
    @JsonAlias({"ProjectId","projectId"})
    private String projectId;
    /**项目名称*/
    @JSONField(alternateNames = {"ProjectName","projectName"})
    @JsonAlias({"ProjectName","projectName"})
    private String projectName;
    /**集团编码*/
    @JSONField(alternateNames = {"GroupCode","groupCode"})
    @JsonAlias({"GroupCode","groupCode"})
    private String groupCode;
    /**集团名称*/
    @JSONField(alternateNames = {"GroupName","groupName"})
    @JsonAlias({"GroupName","groupName"})
    private String groupName;
}
