package com.persagy.dmp.delivery.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Description
 *
 * @author:linhuili
 * @date:2022/1/19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "boss_bdtp_type_rel", autoResultMap = true)
public class BossBdtpTypeRel extends AuditableEntity {

    /** 商品编码 */
    private String goodCode;

    /** 类型编码 */
    private String typeCode;

    /** 对象类型 */
    private String objType;

}
